[arch-commits] Commit in recordproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 15:40:00 EDT 2009


    Date: Friday, April 17, 2009 @ 15:39:59
  Author: eric
Revision: 35838

upgpkg: recordproto 1.13.2-2
    Added license

Modified:
  recordproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 18:22:55 UTC (rev 35837)
+++ PKGBUILD	2009-04-17 19:39:59 UTC (rev 35838)
@@ -3,17 +3,19 @@
 
 pkgname=recordproto
 pkgver=1.13.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Record extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('0ed4706564a34fc2aff724aa16d3ff00')
 sha1sums=('833ef2bc4b084281f85eeba5d4ba03441bd3a534')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list